trusty version experiences a runtime error due to hwdata changes

Bug #1260107 reported by Brian Murray on 2013-12-11
102
This bug affects 20 people
Affects Status Importance Assigned to Milestone
system-config-kickstart (Ubuntu)
High
Unassigned
Trusty
High
Brian Murray

Bug Description

Test Case
---------
Run system-config-kickstart and receive the traceback in comment #2.
With the version of s-c-k from trusty-proposed you shouldn't receive that traceback.

Regression Potential
--------------------
Little as we are just removing a couple of calls.

The file (/usr/share/hwdata/videodrivers) no longer exists in Trusty, subsequently xconfig.py fails because of the following:

    def fill_driver_list(self):
        #add video drivers to list
        try:
            driverFile = open("/usr/share/hwdata/videodrivers", "r")
        except:
            raise RuntimeError, (_("Could not read video driver database"))

Here's the latest hwdata changelog.

hwdata (0.249-1) unstable; urgency=low

  * latest upstream release from 2013-06-20
    - upstream removed upgradelist, MonitorDB, videodrivers

 -- Noël Köthe <email address hidden> Mon, 12 Aug 2013 14:36:31 +0200

So something needs to change.

tags: added: trusty
Changed in system-config-kickstart (Ubuntu):
status: New → Triaged
importance: Undecided → High
Brian Murray (brian-murray) wrote :

When asked about this Colin said:

07:27 < cjwatson> Video drivers probably aren't actually
                  very useful in our configuration so
                  maybe that should just be hacked out
                  with a chainsaw

Changed in system-config-kickstart (Ubuntu Trusty):
milestone: none → trusty-updates
Vikas Kumar (vikas027) wrote :

I am also facing the same issue, while running system-config-kickstart in Ubuntu Desktop 14.04 x86_64.

# system-config-kickstart
Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/system-config-kickstart.py", line 92, in <module>
    kickstartGui.kickstartGui(file)
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 131, in __init__
    self.X_class = xconfig.xconfig(xml, self.kickstartData)
  File "/usr/share/system-config-kickstart/xconfig.py", line 80, in __init__
    self.fill_driver_list()
  File "/usr/share/system-config-kickstart/xconfig.py", line 115, in fill_driver_list
    raise RuntimeError, (_("Could not read video driver database"))
RuntimeError: Could not read video driver database
#

Did anyone find a solution to it.

chryjs (chryjs-0) wrote :

Bug confirmed in Ubuntu Desktop 14.04 x86_64

Temporary workaround : downgrade hwdata package to hwdata_0.234-1_all.deb

Beware : It fixes this issue but may raise some others !

Vikas Kumar (vikas027) wrote :

Super, this solved my problem. These are the steps I followed, might be useful for others.

# apt-get remove hwdata
# wget ftp://mirror.ovh.net/mirrors/ftp.debian.org/debian/pool/main/h/hwdata/hwdata_0.234-1_all.deb
# dpkg -i hwdata_0.234-1_all.deb
# apt-get install system-config-kickstart

Pierre-Luc Collard (plcollard) wrote :

I managed to start system-config-kickstart. To do this I extracted the missing file from the suggested hwdata version above.

# cd /tmp
# wget ftp://mirror.ovh.net/mirrors/ftp.debian.org/debian/pool/main/h/hwdata/hwdata_0.234-1_all.deb
# dpkg --extract hwdata_0.234-1_all.deb hwdata
# cd hwdata/usr/share/hwdata
# cp videodrivers /usr/share/hwdata/
# cp MonitorsDB /usr/share/hwdata/

Then system-config-kickstart started succesfully. I don't know if this solution will break something else but so far it works!

James Pharaoh (jamespharaoh) wrote :

Extended version of vikas027's workaround which also holds the package so it doesn't get upgraded automatically:

# apt-get remove hwdata
# wget ftp://mirror.ovh.net/mirrors/ftp.debian.org/debian/pool/main/h/hwdata/hwdata_0.234-1_all.deb
# dpkg -i hwdata_0.234-1_all.deb
# apt-mark hold hwdata
# apt-get install system-config-kickstart

Changed in system-config-kickstart (Ubuntu):
milestone: trusty-updates → none
Brian Murray (brian-murray) wrote :

Ah, this was fixed a few months ago for wily.

system-config-kickstart (2.5.20-0ubuntu24) wily; urgency=medium

  * xconfig.py: short-circuit driver/monitor list filling (which depends on
    files that aren't shipped anymore).

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 03 Jun 2015 17:03:32 -0400

Changed in system-config-kickstart (Ubuntu):
status: Triaged → Fix Released
Brian Murray (brian-murray) wrote :

It'd be helpful if somebody familiar with the problem could write a test case. I'll upload and SRU of the wily fix to Trusty shortly.

Changed in system-config-kickstart (Ubuntu Trusty):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → In Progress
description: updated

Hello Brian, or anyone else affected,

Accepted system-config-kickstart into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/system-config-kickstart/2.5.20-0ubuntu23.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in system-config-kickstart (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

I confirm that with the version of system-config-kickstart from trusty-proposed it no longer produces a traceback when starting the application.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-kickstart - 2.5.20-0ubuntu23.1

---------------
system-config-kickstart (2.5.20-0ubuntu23.1) trusty-proposed; urgency=medium

  * xconfig.py: short-circuit driver/monitor list filling (which depends on
    files that aren't shipped anymore). (LP: #1260107)

 -- Brian Murray <email address hidden> Fri, 18 Sep 2015 14:30:31 -0700

Changed in system-config-kickstart (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for system-config-kickstart has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers